API de Eventos de Google
Obtén datos estructurados de eventos de Google Events. Configura engine=google_events y pasa una frase de búsqueda como “Events in Paris” para obtener una lista organizada de próximos eventos en la zona especificada.
Endpoint
Sección titulada «Endpoint» GET https://serp.shifter.io/v1?engine=google_events&api_key=YOUR_API_KEY
Parámetros
Sección titulada «Parámetros»| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | Tu clave de API de SERP |
engine | string | yes | Debe ser google_events |
q | string | yes | La consulta de búsqueda de eventos |
device | string | no | desktop, mobile, o tablet |
google_domain | string | no | Dominio de Google que se debe usar |
location | string | no | Nombre de la ubicación de segmentación geográfica |
uule | string | no | Cadena de ubicación codificada de Google |
hl | string | no | Código de idioma de la interfaz |
gl | string | no | Código de país |
Ejemplo de solicitud
Sección titulada «Ejemplo de solicitud»curl "https://serp.shifter.io/v1?engine=google_events&api_key=YOUR_API_KEY&q=Events%20in%20Paris%2C%20France"import requests
params = { "engine": "google_events", "api_key": "YOUR_API_KEY", "q": "Events in Paris, France",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_events', api_key: 'YOUR_API_KEY', q: 'Events in Paris, France',});const data = await (await fetch(url)).json();Ejemplo de respuesta
Sección titulada «Ejemplo de respuesta»{ "search_metadata": { "status": "Success" }, "search_parameters": { "engine": "google_events", "q": "Events in Paris, France", "google_domain": "google.com" }, "events_results": [ { "title": "Paris Fashion Week", "date": { "start_date": "Feb 27", "when": "Tue, Feb 27, 10:00 AM - Tue, Mar 5, 6:00 PM" }, "address": ["Paris, France"], "link": "https://www.example.com/event/...", "venue": { "name": "Le Grand Palais", "rating": 4.6 }, "thumbnail": "https://..." } ]}